

singleton Material(ind_bld_tin_02)
{
    mapTo = "ind_bld__2__Tin-02";
    diffuseMap[0] = "tin_01b_d.dds";
    doubleSided = "1";
    translucentBlendOp = "None";
    materialTag0 = "Industrial";
    normalMap[0] = "tin_01_n.dds";
    specularMap[0] = "tin_01b_s.dds";
    detailScale[0] = "0.1 0.1";
    detailMap[0] = "detail_grunge_02_streak.dds";
    specularPower[0] = "8";
    useAnisotropic[0] = "1";
    detailNormalMapStrength[0] = "0.1";
    materialTag1 = "beamng";
};


singleton Material(ind_concreteleak)
{
    mapTo = "ind_concreteleak";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    specular[0] = "0.996078 0.996078 0.996078 1";
    specularPower[0] = "1";
    doubleSided = "0";
    translucentBlendOp = "None";
    diffuseMap[0] = "ind_concreteleak_d.dds";
    detailScale[0] = "0.2 0.2";
    normalMap[0] = "ind_concreteleak_n.dds";
    specularMap[0] = "ind_concreteleak_s.dds";
    materialTag1 = "beamng";
    materialTag2 = "Industrial";
    materialTag0 = "beamng";
    useAnisotropic[0] = "1";
    detailMap[0] = "detail_grunge_02.dds";
};



singleton Material(drivewaynew)
{
    mapTo = "drivewaynew";
    doubleSided = "0";
    translucentBlendOp = "None";
    materialTag0 = "roadandpath";
    normalMap[0] = "levels/TSH/art/roads/driveway_n.dds";
    specularMap[0] = "levels/TSH/art/roads/1024_conc_spec.dds";
    detailScale[0] = "0.1 0.1";
    specularPower[0] = "8";
    useAnisotropic[0] = "1";
    diffuseColor[0] = "0.889999986 0.889999986 0.889999986 1";
    detailNormalMapStrength[0] = "0.1";
    materialTag1 = "beamng";
   colorMap[0] = "levels/TSH/art/roads/drivewaynew.dds";
};
singleton Material(drivewaynew_decal)
{
    mapTo = "drivewaynew_decal";
    doubleSided = "0";
    translucentBlendOp = "LerpAlpha";
    materialTag0 = "roadandpath";
    Castshadows = "0";
    translucent = "1";
    translucentZWrite = "1";
    normalMap[0] = "levels/TSH/art/roads/driveway_n.dds";
    specularMap[0] = "levels/TSH/art/roads/1024_conc_spec.dds";
    detailScale[0] = "0.1 0.1";
    specularPower[0] = "8";
    useAnisotropic[0] = "1";
    diffuseColor[0] = "0.889999986 0.889999986 0.889999986 1";
    detailNormalMapStrength[0] = "0.1";
    materialTag1 = "beamng";
   colorMap[0] = "levels/TSH/art/roads/drivewaynew.dds";
};

singleton Material(ind_bld_brick_01)
{
    mapTo = "Ind_bld__2__bricks";
    diffuseMap[0] = "ind_bld_brick_02_d.dds";
    detailMap[0] = "detail_grunge_02b.dds";
    normalMap[0] = "ind_bld_brick_02_n.dds";
    specularMap[0] = "ind_bld_brick_02_s.dds";
    detailScale[0] = "0.1 0.1";
    specularPower[0] = "1";
    specularStrength[0] = "1.3";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    doubleSided = "0";
    translucentBlendOp = "None";
    materialTag0 = "beamng";
    materialTag1 = "Industrial";
    materialTag2 = "Industrial";
};



//dupe for rusty grating over tunnel that is not shiny nor visibly repeating
singleton Material(ind_bld_mgrate_01)
{
    mapTo = "ind_bld_mgrate_01";
    normalMap[0] = "/levels/tsh/ART/shapes/Buildings/ind_bld_mgrate_01_s.dds";
    pixelSpecular[0] = "0";
    useAnisotropic[0] = "1";
    alphaTest = "1";
    alphaRef = "115";
    materialTag1 = "beamng";
    materialTag0 = "Industrial";
    doubleSided = "0";
    materialTag2 = "derelict";
   colorMap[0] = "/levels/tsh/ART/shapes/Buildings/ind_bld_mgrate_01_d.dds";
   diffuseColor[0] = "0.494117677 0.372549027 0.274509817 1";
   specular[0] = "0.513725519 0.513725519 0.513725519 1";
};


singleton Material(ind_planks)
{
    mapTo = "Ind_planks";
    diffuseMap[0] = "ind_planks_01_d.dds";
    normalMap[0] = "ind_planks_01_n.dds";
    specularMap[0] = "ind_planks_01_s.dds";
    specularPower[0] = "1";
    specularStrength[0] = "0.294118";
    pixelSpecular[0] = "0";
    useAnisotropic[0] = "1";
    alphaTest = "1";
    alphaRef = "121";
    materialTag1 = "beamng";
    materialTag2 = "Industrial";
    materialTag0 = "beamng";
};




singleton Material(ind_bld_extras3)
{
    mapTo = "ind_bld__2__extras3";
    diffuseMap[0] = "ind_bld_buildingextras3_d.dds";
    specularPower[0] = "1";
    doubleSided = "1";
    castShadows = "0";
    translucent = "1";
    alphaRef = "13";
    materialTag0 = "beamng";
    materialTag1 = "beamng";
    materialTag2 = "Industrial";
};



singleton Material(ind_concreteleak)
{
    mapTo = "ind_concreteleak";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    specular[0] = "0.996078 0.996078 0.996078 1";
    specularPower[0] = "1";
    doubleSided = "0";
    translucentBlendOp = "None";
    diffuseMap[0] = "ind_concreteleak_d.dds";
    detailScale[0] = "0.2 0.2";
    normalMap[0] = "ind_concreteleak_n.dds";
    specularMap[0] = "ind_concreteleak_s.dds";
    materialTag1 = "beamng";
    materialTag2 = "Industrial";
    materialTag0 = "beamng";
    useAnisotropic[0] = "1";
    detailMap[0] = "detail_grunge_02.dds";
};

singleton Material(ind_metalplates)
{
    mapTo = "ind_metalplates";
    diffuseColor[0] = "0.815686 0.815686 0.815686 1";
    specular[0] = "0.996078 0.996078 0.996078 1";
    specularPower[0] = "1";
    doubleSided = "0";
    translucentBlendOp = "None";
    diffuseMap[0] = "ind_metalplates_d.dds";
    detailScale[0] = "0.1 0.1";
    normalMap[0] = "ind_metalplates_n.dds";
    specularMap[0] = "ind_metalplates_s.dds";
    materialTag1 = "beamng";
    materialTag2 = "Industrial";
    materialTag0 = "beamng";
    useAnisotropic[0] = "1";
    detailMap[0] = "detail_grunge_03.dds";
};

singleton Material(gas_station_01_floor_tiles_01_a)
{
    mapTo = "floor_tiles_01_a";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    doubleSided = "0";
    translucentBlendOp = "None";
    diffuseMap[0] = "floor_tiles_01_a_d.dds";
    specularMap[0] = "floor_tiles_01_a_s.dds";
};


singleton Material(gas_station_01_wall_plaster_01)
{
    mapTo = "wall_plaster_01";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    doubleSided = "0";
    translucentBlendOp = "None";
    diffuseMap[0] = "wall_plaster_01_d.dds";
};






singleton Material(ind_walk_Rnd_ind_bld__proxy__physProxyNoDraw)
{
    mapTo = "ind_bld__proxy__physProxyNoDraw";
    diffuseColor[0] = "0.64 0.64 0.64 1";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "50";
    doubleSided = "1";
    translucentBlendOp = "None";
};

singleton Material(ind_apt_siding)
{
    mapTo = "ind_apt_siding";
    diffuseMap[0] = "ind_apt_siding_d.dds";
    normalMap[0] = "ind_apt_siding_n.dds";
    materialTag0 = "beamng";
    diffuseColor[0] = "1 1 1 1";
};



singleton Material(t111tan)
{
    mapTo = "t111tan";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/eca/t111tan.dds";
    normalMap[0] = "";
    materialTag0 = "beamng";
    diffuseColor[0] = "1 1 1 1";
};


singleton Material(ind_apt_concrete)
{
    mapTo = "ind_apt_concrete";
    diffuseMap[0] = "ind_apt_concrete_d.dds";
    normalMap[0] = "ind_apt_concrete_n.dds";
    materialTag0 = "beamng";
    diffuseColor[0] = "1 1 1 1";
};


singleton Material(ind_apt_ceiling)
{
    mapTo = "ind_apt_ceiling";
    diffuseMap[0] = "ind_apt_ceiling_d.dds";
    normalMap[0] = "ind_apt_ceiling_n.dds";
    materialTag0 = "beamng";
    diffuseColor[0] = "1 1 1 1";
};






singleton Material(wood_01)
{
    mapTo = "wood_01";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    specular[0] = "0.996078 0.996078 0.996078 1";
    specularPower[0] = "19";
    doubleSided = "1";
    translucentBlendOp = "None";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/wood_01_d.dds";
    detailScale[0] = "0.1 0.1";
    detailNormalMapStrength[0] = "1";
    specularMap[0] = "levels/TSH/art/shapes/buildings/wood_01_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/wood_01_n.dds";
    detailMap[0] = "levels/TSH/art/shapes/buildings/wood_01_overlay.dds";
};



//Materials lazily copy-pasted from WCA.  Thanks developers, they're better than what I had on me.

singleton Material(busstop)
{
    mapTo = "busstop";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/busstop_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/busstop_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/busstop_n.dds";
    reflectivityMap[0] = "levels/TSH/art/shapes/buildings/busstop_r.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    emissive[0] = "0";
    glow[0] = "0";
    translucentBlendOp = "None";
    cubemap = "global_cubemap_metalblurred";
    alphaTest = "1";
    alphaRef = "64";
};


singleton Material(stone_joins)
{
    mapTo = "stone_joins";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/stone_joins_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/stone_joins_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/stone_joins_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};

singleton Material(columns)
{
    mapTo = "columns";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/columns_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/columns_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/columns_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};


singleton Material(stone_brick_irregular)
{
    mapTo = "stone_brick_irregular";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/stone_brick_irregular_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/stone_brick_irregular_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/stone_brick_irregular_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};

singleton Material(slabs_brutalist)
{
    vertColor[0] = "1";
    mapTo = "slabs_brutalist";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/slabs_brutalist_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/slabs_brutalist_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/slabs_brutalist_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};






singleton Material(brick_painted)
{
    mapTo = "brick_painted";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/brick_painted_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/brick_plain_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/brick_plain_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};

singleton Material(weatherboards)
{
    mapTo = "weatherboards";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/weatherboards1_white.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/weatherboards1_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/weatherboards1_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};


singleton Material(wood_rough)
{
    mapTo = "wood_rough";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/wood_rough_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/wood_rough_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/wood_rough_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "POLE";
};






//---------------------------REFLECTIVE MATERIALS
singleton Material(windows_doors_reflective)
{
    mapTo = "windows_doors_reflective";
	vertColor[0] = "1";
    reflectivityMap[0] = "levels/TSH/art/shapes/buildings/windows_doors_reflective_r.dds";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/windows_doors_reflective_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/windows_doors_reflective_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/windows_doors_reflective_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "127";
    cubemap = "cubemap_city";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};


singleton Material(walls_transparent)
{
    mapTo = "walls_transparent";
	vertColor[0] = "1";
    reflectivityMap[0] = "levels/TSH/art/shapes/buildings/walls_transparent_r.dds";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/walls_transparent_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/walls_transparent_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/walls_transparent_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "lerpAlpha";
    alphaTest = "0";
    alphaRef = "127";
    cubemap = "cubemap_city";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};






singleton Material(tiles_marble_square)
{
    mapTo = "tiles_marble_square";
	vertColor[0] = "1";
    reflectivityMap[0] = "levels/TSH/art/shapes/buildings/tiles_marble_square_r.dds";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/tiles_marble_square_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/tiles_marble_square_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/tiles_marble_square_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "cubemap_city";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};



singleton Material(highrise)
{
    mapTo = "highrise";
    vertColor[0] = "1";
    reflectivityMap[0] = "levels/TSH/art/shapes/buildings/highrise_r.dds";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/highrise_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/highrise_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/highrise_n.dds";
    diffuseMap[1] = "levels/TSH/art/shapes/buildings/highrise_g.dds";
    glow[1] = "0";
    emissive[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "cubemap_city";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};


//------------TRANSPARENT MATERIALS




singleton Material(construction)
{
    mapTo = "construction";
    vertColor[0] = "1";
    diffuseMap[0] = "levels/TSH/art/shapes/buildings/construction_d.dds";
    specularMap[0] = "levels/TSH/art/shapes/buildings/construction_s.dds";
    normalMap[0] = "levels/TSH/art/shapes/buildings/construction_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "90";
    doubleSided = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "building";
    annotation = "BUILDINGS";
};




























